{
  "name": "@tainted/buildr",
  "version": "1.0.0",
  "author": {
    "email": "help@megabyte.space",
    "name": "Brian Zalewski",
    "url": "https://megabyte.space"
  },
  "description": "A collection of build tools useful for image compression, i18n, and compiling Handlebars templates",
  "main": "build/main/index.js",
  "typings": "build/main/index.d.ts",
  "module": "build/module/index.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/megabyte-space/modules/buildr.git"
  },
  "license": "MIT",
  "keywords": [
    "image",
    "compression",
    "static",
    "file",
    "generator",
    "automatic",
    "google",
    "translations"
  ],
  "scripts": {
    "describe": "npm-scripts-info",
    "build": "run-s clean && run-p build:*",
    "build:main": "tsc -p tsconfig.json",
    "build:module": "tsc -p tsconfig.module.json",
    "fix": "run-s fix:*",
    "fix:prettier": "prettier \"src/**/*.ts\" --write",
    "fix:tslint": "tslint --fix --project .",
    "test": "run-s build test:*",
    "test:lint": "tslint --project . && prettier \"src/**/*.ts\" --list-different",
    "watch": "run-s clean build:main && run-p \"build:main -- -w\" \"test:unit -- --watch\"",
    "cov": "run-s build test:unit cov:html && open-cli coverage/index.html",
    "cov:html": "nyc report --reporter=html",
    "cov:send": "nyc report --reporter=lcov && codecov",
    "doc": "run-s doc:html && open-cli build/docs/index.html",
    "doc:html": "typedoc src/ --exclude **/*.spec.ts --target esnext --mode file --out build/docs",
    "doc:json": "typedoc src/ --exclude **/*.spec.ts --target ES6 --mode file --json build/docs/typedoc.json",
    "doc:publish": "gh-pages -m \"[ci skip] Updates\" -d build/docs",
    "version": "standard-version",
    "reset": "git clean -dfx && git reset --hard && npm i",
    "clean": "trash build test",
    "prepare-release": "cp package.json ./src/assets/package.json && run-s reset test cov:check doc:html version doc:publish"
  },
  "scripts-info": {
    "info": "Display information about the package scripts",
    "build": "Clean and rebuild the project",
    "fix": "Try to automatically fix any linting problems",
    "test": "Lint and unit test the project",
    "watch": "Watch and rebuild the project on save, then rerun relevant tests",
    "cov": "Rebuild, run tests, then create and open the coverage report",
    "doc": "Generate HTML API documentation and open it in a browser",
    "doc:json": "Generate API documentation in typedoc JSON format",
    "version": "Bump package.json version, update CHANGELOG.md, tag release",
    "reset": "Delete all untracked files and reset the repo to the last commit",
    "prepare-release": "One-step: clean, build, test, publish docs, and prep a release"
  },
  "engines": {
    "node": ">=8.9"
  },
  "dependencies": {
    "@google-cloud/translate": "^5.1.4",
    "command-line-args": "^5.1.1",
    "dotenv": "^8.2.0",
    "lodash": "^4.17.15",
    "sha.js": "^2.4.11",
    "update-notifier": "^4.0.0"
  },
  "devDependencies": {
    "@bitjson/npm-scripts-info": "^1.0.0",
    "@bitjson/typedoc": "^0.15.0-0",
    "@istanbuljs/nyc-config-typescript": "^0.1.3",
    "@types/node": "^13.1.8",
    "ava": "2.2.0",
    "codecov": "^3.5.0",
    "cz-conventional-changelog": "^2.1.0",
    "gh-pages": "^2.0.1",
    "npm-run-all": "^4.1.5",
    "nyc": "^14.1.1",
    "open-cli": "^5.0.0",
    "pino": "^5.16.0",
    "prettier": "^1.18.2",
    "standard-version": "^6.0.1",
    "trash-cli": "^3.0.0",
    "tslint": "^5.18.0",
    "tslint-config-prettier": "^1.18.0",
    "tslint-immutable": "^6.0.1",
    "typescript": "^3.5.3"
  },
  "ava": {
    "failFast": true,
    "files": [
      "build/main/**/*.spec.js"
    ],
    "sources": [
      "build/main/**/*.js"
    ]
  },
  "config": {
    "commitizen": {
      "path": "cz-conventional-changelog"
    }
  },
  "prettier": {
    "bracketSpacing": true,
    "printWidth": 120,
    "requirePragma": false,
    "semi": true,
    "singleQuote": true,
    "tabWidth": 2,
    "trailingComma": "none",
    "useTabs": false
  },
  "nyc": {
    "extends": "@istanbuljs/nyc-config-typescript",
    "exclude": [
      "**/*.spec.js"
    ]
  }
}
